Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1332643

Summary: [abrt] empathy: __pthread_mutex_lock(): empathy-call killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Yajo <yajo.sk8>
Component: empathyAssignee: Brian Pepple <bdpepple>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: bdpepple, lennart_reuther, mcatanzaro+wrong-account-do-not-cc, Mr.Taryan, uraeus
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/ccbd6abdc3e738fb1dff5a118473699004a83749
Whiteboard: abrt_hash:9d9e82d6d61aac50e17bdeb8062850dad7a9f9a5;VARIANT_ID=workstation;
Fixed In Version: empathy-3.12.12-2.fc24 empathy-3.12.12-2.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-27 18:51:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: mountinfo
none
File: namespaces
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Yajo 2016-05-03 15:56:49 UTC
Description of problem:
Make a SIP call from top super menu.

Version-Release number of selected component:
empathy-3.12.11-3.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-call
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/empathy-call
global_pid:     21017
kernel:         4.4.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:68
 #1 XrmQGetResource at Xrm.c:2549
 #2 XGetDefault at GetDflt.c:231
 #3 get_boolean_default at cairo-xlib-screen.c:98
 #4 _cairo_xlib_init_screen_font_options at cairo-xlib-screen.c:146
 #5 _cairo_xlib_screen_get_font_options at cairo-xlib-screen.c:455
 #6 _cairo_xlib_surface_get_font_options at cairo-xlib-surface.c:1533
 #7 INT_cairo_surface_get_font_options at cairo-surface.c:1533
 #8 _cairo_gstate_ensure_scaled_font at cairo-gstate.c:1854
 #9 _cairo_gstate_show_text_glyphs at cairo-gstate.c:1950

Comment 1 Yajo 2016-05-03 15:56:54 UTC
Created attachment 1153493 [details]
File: backtrace

Comment 2 Yajo 2016-05-03 15:56:56 UTC
Created attachment 1153494 [details]
File: cgroup

Comment 3 Yajo 2016-05-03 15:56:57 UTC
Created attachment 1153495 [details]
File: core_backtrace

Comment 4 Yajo 2016-05-03 15:56:59 UTC
Created attachment 1153496 [details]
File: dso_list

Comment 5 Yajo 2016-05-03 15:57:00 UTC
Created attachment 1153497 [details]
File: environ

Comment 6 Yajo 2016-05-03 15:57:02 UTC
Created attachment 1153498 [details]
File: exploitable

Comment 7 Yajo 2016-05-03 15:57:03 UTC
Created attachment 1153499 [details]
File: limits

Comment 8 Yajo 2016-05-03 15:57:05 UTC
Created attachment 1153500 [details]
File: maps

Comment 9 Yajo 2016-05-03 15:57:07 UTC
Created attachment 1153501 [details]
File: mountinfo

Comment 10 Yajo 2016-05-03 15:57:08 UTC
Created attachment 1153502 [details]
File: namespaces

Comment 11 Yajo 2016-05-03 15:57:09 UTC
Created attachment 1153503 [details]
File: open_fds

Comment 12 Yajo 2016-05-03 15:57:11 UTC
Created attachment 1153504 [details]
File: proc_pid_status

Comment 13 Yajo 2016-05-03 15:57:12 UTC
Created attachment 1153505 [details]
File: var_log_messages

Comment 14 Jack 2016-05-19 20:00:45 UTC
*** Bug 1337690 has been marked as a duplicate of this bug. ***

Comment 15 Michael Catanzaro 2016-07-21 16:45:23 UTC
*** Bug 1339000 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2016-07-23 02:22:06 UTC
empathy-3.12.12-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-45ac44abda

Comment 17 Fedora Update System 2016-07-23 02:27:38 UTC
empathy-3.12.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-311d9823e8

Comment 18 Fedora Update System 2016-07-23 22:18:02 UTC
empathy-3.12.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-311d9823e8

Comment 19 Fedora Update System 2016-07-23 22:21:36 UTC
empathy-3.12.12-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-45ac44abda

Comment 20 Fedora Update System 2016-07-27 18:51:07 UTC
empathy-3.12.12-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-08-01 18:52:54 UTC
empathy-3.12.12-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.